/******************************************************************

        MUSCLE SmartCard Development ( http://www.linuxnet.com )
            Title  : cardman.h
            Package: Utimaco Serial Driver
            Author : David Corcoran
            Date   : 3/26/00
            Purpose: This provides Cardman specific functionality.

********************************************************************/  

#ifndef __cardman_h__
#define __cardman_h__

#define CARDMAN_RESYNCH_NUM  140

int CMAN_Reset( unsigned char*, int* );
int CMAN_ResynchReader();
int CMAN_ResynchCard();
int CMAN_Status( unsigned char* );
int CMAN_IsCardInserted();
int CMAN_IsCardPowered();
int CMAN_TransmitT0( unsigned int, unsigned char*, unsigned int*, 
		     unsigned char* );

#endif
